--- title: "Get Host Active Applications" slug: "get-host-active-applications" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:00Z published: 2026-09-23T09:38:00Z canonical: "docs.trellix.com/get-host-active-applications" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Host Active Applications This URL gets the list of host active applications. ## Resource URL GET /ntbamonitors/{ntbaId}/tophostactiveapplications/? TopN= &timePeriod=&startTime=&endTime= ## Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | ntbaId | NTBA monitor id | Number | Yes | | TopN | Number of top rows, default 50. | Number | No | | timePeriod | Duration: can be - LAST_MINUTE - LAST_10_MINUTES - LAST_HOUR - LAST_24_HOURS - CUSTOM Custom incase start and end time is provided | String | No | | startTime | Start time in the format: yyyy-MM-dd HH:mm | String | No | | endTime | End time in the format: yyyy-MM-dd HH:mm | String | No | | Host_id | Host id | String | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | applications | List of applications | Array | Details of applications : | Field Name | Description | Data Type | | --- | --- | --- | | applicationName | Application name | String | | applicationId | Application id | Number | | starttime | Start time | String | | lastSeen | Last seen | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/tophostactiveapplications/9?timePeriod=CUSTOM&startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11](https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/tophostactiveapplications/9?timePeriod=CUSTOM&startTime=2012-APR-20%2012:15&endTime=2012-APR-20%2012:11) **Response** ``` {    "applications":[{          "applicationName":"FTP", "applicationId":1191186432, "starttime":"2013-08-27 16:44:06", "lastseen":"2013-08-27 16:44:06"} }] } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id | | 7 | 400 | 4310 | Invalid host id or no data |